Create Manual Transaction
curl --request POST \
--url https://api.{your-broker}.slate-labs.com/transactions/manual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 0,
"currency": "<string>",
"account_amount": 0,
"usd_amount": 123,
"exchange_rate_usd": "1",
"gate_name": "<string>",
"payment_data": {},
"proof_reference": "<string>",
"proof_url": "<string>",
"transaction_owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_view": true,
"comment": "<string>",
"status": "PENDING"
}
'import requests
url = "https://api.{your-broker}.slate-labs.com/transactions/manual"
payload = {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 0,
"currency": "<string>",
"account_amount": 0,
"usd_amount": 123,
"exchange_rate_usd": "1",
"gate_name": "<string>",
"payment_data": {},
"proof_reference": "<string>",
"proof_url": "<string>",
"transaction_owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_view": True,
"comment": "<string>",
"status": "PENDING"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 0,
currency: '<string>',
account_amount: 0,
usd_amount: 123,
exchange_rate_usd: '1',
gate_name: '<string>',
payment_data: {},
proof_reference: '<string>',
proof_url: '<string>',
transaction_owner: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_view: true,
comment: '<string>',
status: 'PENDING'
})
};
fetch('https://api.{your-broker}.slate-labs.com/transactions/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"cashier_id": "<string>",
"order_id": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manager_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gate_id": "<string>",
"gate_name": "<string>",
"payment_data": {},
"amount": "<string>",
"currency": "<string>",
"account_amount": "<string>",
"usd_amount": "<string>",
"exchange_rate_usd": "<string>",
"proof_reference": "<string>",
"proof_url": "<string>",
"type": "<string>",
"status": "<string>",
"customer_view": true,
"comment": "<string>",
"create_time": "2023-11-07T05:31:56Z",
"update_time": "2023-11-07T05:31:56Z",
"approve_time": "2023-11-07T05:31:56Z",
"decline_time": "2023-11-07T05:31:56Z",
"account_currency": "<string>",
"fx_rate_applied": "<string>",
"related_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_login": "<string>",
"manager_name": "<string>",
"approved_by_name": "<string>",
"transaction_owner_name": "<string>",
"chargeback_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payout_provider": "<string>",
"payout_status": "<string>",
"payout_reference": "<string>",
"payout_attempt": 123,
"payout_submitted_at": "2023-11-07T05:31:56Z",
"payout_completed_at": "2023-11-07T05:31:56Z",
"payout_failure_reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Transactions
Create Manual Transaction
POST
/
transactions
/
manual
Create Manual Transaction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Used by CRM operators creating offline/manual transactions.
Available options:
DEPOSIT, WITHDRAWAL, BONUS, BONUS_CREDIT_IN, BONUS_CREDIT_OUT, CREDIT_IN, CREDIT_OUT, TRANSFER_IN, TRANSFER_OUT, CORRECTION_IN, CORRECTION_OUT, IB_PAYMENT, REWARD, PROFIT_SHARING_IN, PROFIT_SHARING_OUT Required range:
-10000000 <= x <= 10000000Required string length:
3 - 8Required range:
-10000000 <= x <= 10000000Required range:
x > 0Available options:
PENDING, APPROVED Response
Successful Response
⌘I